import request from '@/utils/request'


// 根据字典类型查询字典数据信息
export function getDicts(dictType) {
  return request({
    url: '/system/dict-data/list-simple?dictType=' + dictType,
    method: 'get'
  })
}

// 根据字典类型获取所有开启状态的数据列表(新增,修改下拉框)
export function getOpenDicts(dictType) {
  return request({
    url: '/system/tenant/dict-data/list-all-simple?dictType=' + dictType,
    method: 'get',
  })
}


// 获取岗位精简信息列表
export function listSimplePosts() {
  return request({
    url: '/system/post/list-all-simple',
    method: 'get'
  })
}

// 获取部门精简信息列表
export function listSimpleDepts() {
  return request({
    url: '/system/dept/list-all-simple',
    method: 'get'
  })
}

